Bug 7980 - Group search results tag input with other actions
Summary: Group search results tag input with other actions
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.10
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-18 19:00 UTC by Owen Leonard
Modified: 2013-12-05 20:01 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Screenshot showing proposed interface change (26.51 KB, image/png)
2012-04-18 19:05 UTC, Owen Leonard
Details
Bug 7980 - Group search results tag input with other actions (10.71 KB, patch)
2012-04-18 19:19 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 7980: [SIGNED-OFF] Group search results tag input with other actions (10.75 KB, patch)
2012-05-04 13:36 UTC, Jonathan Druart
Details | Diff | Splinter Review
[PASSED_QA] Patch (10.84 KB, patch)
2012-05-25 13:29 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2012-04-18 19:00:27 UTC
If TagsInputOnList in enabled there is a "new tag" form field displayed with each search result. I propose to change this so that it behaves much like the tag link at the top of search search results where clicking the link displays the form field.

The per-line add tag functionality can be grouped with other "actions" (like "place hold," "add to cart," etc). Clicking the link would display the form and automatically move the focus to the entry field.
Comment 1 Owen Leonard 2012-04-18 19:05:59 UTC
Created attachment 9247 [details]
Screenshot showing proposed interface change
Comment 2 Owen Leonard 2012-04-18 19:19:38 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2012-05-04 13:36:30 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2012-05-11 15:30:23 UTC
(In reply to comment #3)

> But I think a followup is required:
> 1/ The 'enter' action reload the page (whereas in the opac detail, this
> action adds the tag).

I didn't notice this problem, but now that I'm testing I see it's a bug in master too. I'll investigate a fix for it and leave it up to QA to decide whether it should block this patch.

> 2/ Isn't it better to clean the input after submitting ?

I think so, but I would like to make this change in conjunction with a fix for Bug 5174. Clearing the submitted tag without offering some kind of confirmation of what tags were added seems unfriendly to me.
Comment 5 Marcel de Rooy 2012-05-25 13:29:41 UTC
Created attachment 9779 [details] [review]
[PASSED_QA] Patch
Comment 6 Marcel de Rooy 2012-05-25 13:33:33 UTC
QA Comment:
Looks good, works as advertised.
The points Jonathan mentioned can be handled in a followup/new report. They are not really in the scope of this report, since these points already pertain to current versions of opac-results.pl / opac-tags.pl.
Passed QA
Comment 7 Paul Poulain 2012-05-25 15:44:03 UTC
A valuable ENH !